%define version 0.1.2
%define release 1mdk

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:   	scim-hangul
Summary:	Scim-hangul is a Hangul IMEngine for SCIM
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://scim.freedesktop.org/Software/ScimHangul
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	%{libname} = %{version}-%{release}
Requires:	scim >= 0.99.6
BuildRequires:  scim-devel >= 0.99.9

%description
scim-hangul is a Hangul IMEngine for SCIM, which is 
ported from imhangul project. 
It supports both Hangul and Hanja input.


%package -n %{libname}
Summary:	Scim-hangul library.
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-hangul library.


%package -n %{libname}-devel
Summary:	Headers of scim-hangul for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.la
%{_libdir}/scim-1.0/SetupUI/*.la

%changelog
* Mon Aug 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-1mdk
- new release

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- new release
- bump scim buildrequires

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-1mdk
- new release
- drop patch 0: better fix upstream

* Fri Aug 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.3-2mdk
- patch 0: fix faillure to input last charator within java app
  (Choe Hwanjin <krisna at kldp.org>)

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-1mdk
- new release
- fix {build,}requires

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.2-1mdk
- drop CXXFLAGS
- only regenerate build system if needed
- initial spec for Mandrake (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
